Package org.kapott.hbci.GV_Result

## Class GVRAccInfo.AccInfo

- java.lang.Object
- - org.kapott.hbci.GV_Result.GVRAccInfo.AccInfo

Enclosing class:
  GVRAccInfo

    public static class GVRAccInfo.AccInfo
    extends java.lang.Object

Informationen zu genau einem Konto

### Nested Class Summary

Nested Classes
`static class` `GVRAccInfo.AccInfo.Address`

### Field Summary

Fields
`Konto` `account` Konto, auf das sich diese Daten beziehen
`GVRAccInfo.AccInfo.Address` `address`
`java.lang.String` `comment` Weitere Informationen (optional)
`java.util.Date` `created` Eröffnungsdatum (optional)
`static int` `DELIVER_TYPE_EDV`
`static int` `DELIVER_TYPE_KAD`
`static int` `DELIVER_TYPE_NONE`
`static int` `DELIVER_TYPE_OFFICE`
`static int` `DELIVER_TYPE_POST`
`long` `habenzins` 1000*Habenzins (optional)
`Value` `kredit` Kreditlinie (optional)
`Konto` `refAccount` Referenzkonto (zB für Kreditkartenkonten) (optional)
`long` `sollzins` 1000*Sollzins (optional)
`int` `turnus` Turnus für Kontoauszugszustellung (nur bei Postzustellung) (optional).
`static int` `TURNUS_ANNUAL`
`static int` `TURNUS_DAILY`
`static int` `TURNUS_HALF`
`static int` `TURNUS_MONTHLY`
`static int` `TURNUS_QUARTER`
`static int` `TURNUS_WEEKLY`
`int` `type` Kontoart - Folgende Wertebereiche sind definiert:.
`long` `ueberzins` 1000*Überziehungszins (optional)
`int` `versandart` Versandart für Kontoauszüge.

### Constructor Summary

Constructors
`AccInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DELIVER_TYPE_NONE

    public static final int DELIVER_TYPE_NONE

See Also:
  Constant Field Values

#### DELIVER_TYPE_POST

    public static final int DELIVER_TYPE_POST

See Also:
  Constant Field Values

#### DELIVER_TYPE_KAD

    public static final int DELIVER_TYPE_KAD

See Also:
  Constant Field Values

#### DELIVER_TYPE_OFFICE

    public static final int DELIVER_TYPE_OFFICE

See Also:
  Constant Field Values

#### DELIVER_TYPE_EDV

    public static final int DELIVER_TYPE_EDV

See Also:
  Constant Field Values

#### TURNUS_DAILY

    public static final int TURNUS_DAILY

See Also:
  Constant Field Values

#### TURNUS_WEEKLY

    public static final int TURNUS_WEEKLY

See Also:
  Constant Field Values

#### TURNUS_MONTHLY

    public static final int TURNUS_MONTHLY

See Also:
  Constant Field Values

#### TURNUS_QUARTER

    public static final int TURNUS_QUARTER

See Also:
  Constant Field Values

#### TURNUS_HALF

    public static final int TURNUS_HALF

See Also:
  Constant Field Values

#### TURNUS_ANNUAL

    public static final int TURNUS_ANNUAL

See Also:
  Constant Field Values

#### account

    public Konto account

Konto, auf das sich diese Daten beziehen

#### type

    public int type

Kontoart - Folgende Wertebereiche sind definiert:.

- 1-9 - Kontokorrent-/Girokonto
- 10-19 - Sparkonto
- 20-29 - Festgeldkonto (Termineinlagen)
- 30-39 - Wertpapierdepot
- 40-49 - Kredit-/Darlehenskonto
- 50-59 - Kreditkartenkonto
- 60-69 - Fondsdepot bei einer Kapitalanlagegesellschaft
- 70-79 - Bausparvertrag
- 80-89 - Versicherungsvertrag
- 90-99 - Sonstige

`-1`, wenn diese Information nicht von der Bank bereitgestellt wird

#### created

    public java.util.Date created

Eröffnungsdatum (optional)

#### sollzins

    public long sollzins

1000*Sollzins (optional)

#### habenzins

    public long habenzins

1000*Habenzins (optional)

#### ueberzins

    public long ueberzins

1000*Überziehungszins (optional)

#### kredit

    public Value kredit

Kreditlinie (optional)

#### refAccount

    public Konto refAccount

Referenzkonto (zB für Kreditkartenkonten) (optional)

#### versandart

    public int versandart

Versandart für Kontoauszüge. Folgende Werte sind definiert:

- `DELIVER_TYPE_NONE` - kein Auszug
- `DELIVER_TYPE_POST` - Postzustellung
- `DELIVER_TYPE_KAD` - Kontoauszugsdrucker
- `DELIVER_TYPE_OFFICE` - Abholung in Geschäftsstelle
- `DELIVER_TYPE_EDV` - elektronische Übermittlung

#### turnus

    public int turnus

Turnus für Kontoauszugszustellung (nur bei Postzustellung) (optional). Folgende Werte sind definiert:

- `TURNUS_DAILY` - täglicher Kontoauszug
- `TURNUS_WEEKLY` - wöchentlicher Kontoauszug
- `TURNUS_MONTHLY` - monatlicher Kontoauszug
- `TURNUS_QUARTER` - vierteljährlicher Kontoauszug
- `TURNUS_HALF` - halbjährlicher Kontoauszug
- `TURNUS_ANNUAL` - jährlicher Kontoauszug

#### comment

    public java.lang.String comment

Weitere Informationen (optional)

#### address

    public GVRAccInfo.AccInfo.Address address

### Constructor Detail

#### AccInfo

    public AccInfo()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`